Subject: bug#9382: closed (Re: bug#9382: Need an option for the default forwarding method)

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Mon, 12 Sep 2011 06:21:55 +0200

Dave Abrahams <[email-masked]> writes:

> on Sat Sep 10 2011, help-debbugs-AT-gnu.org (GNU bug Tracking System) wrote:
>
>> Option 2 is literally:
>>
>>        ((eq arg 2)
>> 	(setq message-forward-as-mime t
>> 	      message-forward-show-mml nil))
>>
>> So you can just set those variables to get that action without using a
>> prefix.
>
> Hmm.  
>
> I'm looking at the docs for message-forward-show-mml and it sounds like
> that variable just affects what I see when I look at forwarded
> messages... but if that were the case it wouldn't have any bearing on
> what the recipient sees.  Maybe that doc needs a tweak?

As far as I can tell, the difference between (say) 2 and 4 is:

if ARG is 2, forward message as an rfc822 MIME section;
if ARG is 4, forward message directly inline;

where the difference is `message-forward-show-mml' t or nil, is just how
it's displayed before you send it.  So I think the doc is correct?

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/